GXml.IXsdExtension – GXml-0.20 Reference Manual

# IXsdExtension

## Object Hierarchy:

## Description:

public interface IXsdExtension : Object, DomElement
Namespace: GXml
Package: GXml-0.20

## Content:

### Constants:

- public const string SCHEMA_NODE_NAME

### Properties:

- public abstract string @base { get; set; }

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface GXml.DomElement

- attributes
- class_list
- class_name
- create_stream
- create_stream_async
- get_attribute
- get_attribute_ns
- get_elements_by_class_name
- get_elements_by_tag_name
- get_elements_by_tag_name_ns
- has_attribute
- has_attribute_ns

- id
- local_name
- matches
- namespace_uri
- prefix
- read_from_file
- read_from_file_async
- read_from_stream
- read_from_stream_async
- read_from_string
- read_from_string_async
- read_from_uri

- read_from_uri_async
- remove_attribute
- remove_attribute_ns
- set_attribute
- set_attribute_ns
- tag_name
- write_file
- write_file_async
- write_stream
- write_stream_async
- write_string
- write_string_async